CMSIS-Core (Cortex-A): IFSR_Type Struct Reference

| CMSIS-Core (Cortex-A) Version 1.2.0 CMSIS-Core support for Cortex-A processor-based devices

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
IFSR_Type Struct Reference
Instruction Fault Status Register (IFSR)

Bit field declaration for IFSR layout.

## Data Fields
struct {
uint32_t FS0:4
| bit: 0.. 3 Fault Status bits bit 0-3 More...
uint32_t LPAE:1
| bit: 9 Large Physical Address Extension More...
uint32_t FS1:1
| bit: 10 Fault Status bits bit 4 More...
uint32_t ExT:1
| bit: 12 External abort type More...
} | s
| Structure used for bit access in short format. More...
struct {
uint32_t STATUS:6
| bit: 0.. 5 Fault Status bits More...
uint32_t LPAE:1
| bit: 9 Large Physical Address Extension More...
uint32_t ExT:1
| bit: 12 External abort type More...
} | l
| Structure used for bit access in long format. More...
uint32_t | w
| Type used for word access. More...

## Field Documentation

uint32_t IFSR_Type::ExT

uint32_t IFSR_Type::FS0

uint32_t IFSR_Type::FS1

struct { ... } IFSR_Type::l

uint32_t IFSR_Type::LPAE

struct { ... } IFSR_Type::s

uint32_t IFSR_Type::STATUS

uint32_t IFSR_Type::w